summaryrefslogtreecommitdiff
path: root/misc/cgo/stdio/test.bash
diff options
context:
space:
mode:
Diffstat (limited to 'misc/cgo/stdio/test.bash')
-rwxr-xr-xmisc/cgo/stdio/test.bash15
1 files changed, 15 insertions, 0 deletions
diff --git a/misc/cgo/stdio/test.bash b/misc/cgo/stdio/test.bash
new file mode 100755
index 000000000..8849fa478
--- /dev/null
+++ b/misc/cgo/stdio/test.bash
@@ -0,0 +1,15 @@
+#!/bin/sh
+# Copyright 2009 The Go Authors. All rights reserved.
+# Use of this source code is governed by a BSD-style
+# license that can be found in the LICENSE file.
+
+set -e
+make hello fib chain
+echo '*' hello >run.out
+./hello >>run.out
+echo '*' fib >>run.out
+./fib >>run.out
+echo '*' chain >>run.out
+./chain >>run.out
+diff run.out golden.out
+make clean